package fixture;

import java.util.ArrayList;

import project.Auction;
import project.Category;
import project.Item;
import project.ItemPicture;

public class ItemFixture {

	private Item i;
	private ArrayList<ItemPicture> image;
	private ItemPicture picture;
	private String ID;
	public static ArrayList<Item> items;
	private String title, description;
	private int category;
	
	public boolean delete() {
		i = Item.getInstance();
		return i.delete(Item.getItem(i));
		
	}	
	
	public boolean modify() {
		i = Item.getInstance();
		return i.modify(title, description, Category.getCategory(category));
	}
	
	public boolean addPicture() {
		i = Item.getInstance();
		return i.addPicture(Item.getItem(i), ItemPicture.getItemPicture(picture));
	}
	
	public ArrayList<Auction> getAuctionHistory() {
		i = Item.getInstance();
		return i.getAuctionHistory(Item.getItem(i));
	}

	public Item getI() {
		return i;
	}

	public ArrayList<ItemPicture> getImage() {
		return image;
	}

	public String getDescription() {
		return description;
	}

	public String getTitle() {
		return title;
	}

	public String getID() {
		return ID;
	}

	public Category getCategory() {
		return category;
	}

	public static ArrayList<Item> getItems() {
		return items;
	}

	public void setI(Item i) {
		this.i = i;
	}

	public void setImage(ArrayList<ItemPicture> image) {
		this.image = image;
	}

	public void setDescription(String description) {
		this.description = description;
	}

	public void setTitle(String title) {
		this.title = title;
	}

	public void setID(String iD) {
		ID = iD;
	}

	public void setCategory(Category category) {
		this.category = category;
	}

	public static void setItems(ArrayList<Item> items) {
		ItemFixture.items = items;
	}

}
